Last Comment Bug 709717 - Send the compatibility mode when using AMO Search API
: Send the compatibility mode when using AMO Search API
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: Thunderbird 11.0
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
:
Mentors:
Depends on: 706387
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-12 00:22 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2011-12-17 13:56 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
patch for TB&SM [Checkin: comment 3] (3.69 KB, patch)
2011-12-12 11:41 PST, Jens Hatlak (:InvisibleSmiley)
standard8: review+
bugspam.Callek: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2011-12-12 00:22:40 PST
+++ This bug was initially created as a clone of Bug #706387 +++

For search, AMO sends addons that it thinks are compatible. We also do some checking client side, but those checks are redundant because of the server-side checked.

So we need to tell AMO how the client is determining compatibility, much like we do with the update pings.

This bug is about porting bug 706387 from FF, ideally in one go for TB and SM like done in bug 707225. I'll come up with a patch later today unless someone else is faster.
Comment 1 Jens Hatlak (:InvisibleSmiley) 2011-12-12 11:41:24 PST
Created attachment 580986 [details] [diff] [review]
patch for TB&SM [Checkin: comment 3]

Note: This patch and the one from bug 707225 can be applied in any order.

The base bug 706387 is still pending Aurora approval so I'm not requesting the same here yet but will of course closely monitor the base bug.
Comment 2 Mark Banner (:standard8, limited time in Dec) 2011-12-14 00:36:23 PST
Comment on attachment 580986 [details] [diff] [review]
patch for TB&SM [Checkin: comment 3]

The other patch just got a+ so a=me for comm-aurora.

Note You need to log in before you can comment on or make changes to this bug.